
Smart Proxy - Bug #33520

bundler warns /usr/share/foreman-proxy is not writable

09/20/2021 11:46 AM - Evgeni Golov

Status: Closed   

Priority: Normal   

Assignee: Evgeni Golov   

Category:    

Target version:    

Difficulty:  Fixed in Releases: 3.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/801

  

Description

when starting the proxy, the following is printed to the log:

Sep 20 11:43:25 pipe-katello-server-nightly-centos7.yatsu.example.com systemd[1]: Starting Foreman

 Proxy...

Sep 20 11:43:25 pipe-katello-server-nightly-centos7.yatsu.example.com smart-proxy[20594]: `/usr/sh

are/foreman-proxy` is not writable.

Sep 20 11:43:25 pipe-katello-server-nightly-centos7.yatsu.example.com smart-proxy[20594]: Bundler 

will use `/tmp/bundler20210920-20594-1pj3v4w20594' as your home directory temporarily.

Sep 20 11:43:25 pipe-katello-server-nightly-centos7.yatsu.example.com smart-proxy[20594]: Your Gem

file lists the gem rsec (< 1) more than once.

Sep 20 11:43:25 pipe-katello-server-nightly-centos7.yatsu.example.com smart-proxy[20594]: You shou

ld probably keep only one of them.

Sep 20 11:43:25 pipe-katello-server-nightly-centos7.yatsu.example.com smart-proxy[20594]: Remove a

ny duplicate entries and specify the gem only once.

Sep 20 11:43:25 pipe-katello-server-nightly-centos7.yatsu.example.com smart-proxy[20594]: While it

's not a problem now, it could cause errors if you change the version of one of them later.

Sep 20 11:43:26 pipe-katello-server-nightly-centos7.yatsu.example.com systemd[1]: Started Foreman 

Proxy.

Related issues:

Related to Foreman - Bug #33013: bundler warns /usr/share/foreman is not writ... Closed

Associated revisions

Revision 09bf77d9 - 09/29/2021 09:51 AM - Evgeni Golov

Fixes #33520 - Silence bundler

History

#1 - 09/20/2021 11:46 AM - Evgeni Golov

- Related to Bug #33013: bundler warns /usr/share/foreman is not writable added

#2 - 09/20/2021 11:49 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Evgeni Golov

- Pull request https://github.com/theforeman/smart-proxy/pull/801 added

#3 - 09/29/2021 09:52 AM - The Foreman Bot

- Fixed in Releases 3.1.0 added

#4 - 09/29/2021 10:01 AM - Evgeni Golov

- Status changed from Ready For Testing to Closed
Applied in changeset 09bf77d9fbc3c9572f4aaeff2847136dd34aeb89.
